Commit be15ecdc authored by Kim Nguyễn's avatar Kim Nguyễn
Browse files

Relax some dependencies on sedlex and ocaml-compiler-libs.

parent 01c5bbad
......@@ -3,11 +3,12 @@ depends: [
"dune" {build & >= "2.8"}
"cduce-types"
"odoc" {with-doc}
"sedlex" {>= "2.0"}
("ocurl" { >= "0.9.1" } |
"ocamlnet" { >= "4.1.8"})
("ocaml-expat" {>= "1.1.0" } |
"pxp" {>= "1.2.9"})
]
depopts: [
"ocaml-compiler-libs" {>= "0.11.0"}
"ocaml-compiler-libs" {>= "v0.9.0"}
]
......@@ -19,7 +19,7 @@
(rule
(enabled_if
(= %{ocaml_version} 4.07))
(< %{ocaml_version} 4.08))
(deps mlcompat_407.ml)
(target mlcompat.ml)
(action
......@@ -29,7 +29,7 @@
(enabled_if
(and
(>= %{ocaml_version} 4.08)
(<= %{ocaml_version} 4.09)))
(< %{ocaml_version} 4.10)))
(deps mlcompat_408_9.ml)
(target mlcompat.ml)
(action
......
(* Compatibilty for OCaml 4.07 *)
open Cduce_core
module Mlstub =
struct
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment